BuildRequires: jpackage-1.4-compat
Name: bcel
Version: 5.1
Release: alt3

Summary: Byte Code Engineering Library
Group: Development/Java
License: Apache
URL: http://jakarta.apache.org/bcel/

%def_enable build_javadoc

Requires: jakarta-regexp

Source: %name-%version-src.tar.bz2
Patch0: %name-5.1-jdk1.5.patch
Patch1: %name-5.1-build.patch

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: ant
BuildRequires: jakarta-regexp

BuildArch: noarch

%description
The Byte Code Engineering Library (formerly known as JavaClass) is
intended to give users a convenient possibility to analyze, create, and
manipulate (binary) Java class files (those ending with .class). Classes
are represented by objects which contain all the symbolic information of
the given class: methods, fields and byte code instructions, in
particular.
Such objects can be read from an existing file, be transformed by a
program (e.g. a class loader at run-time) and dumped to a file again. An
even more interesting application is the creation of classes from
scratch at run-time. The Byte Code Engineering Library (BCEL) may be
also useful if you want to learn about the Java Virtual Machine (JVM)
and the format of Java .class files.
BCEL is already being used successfully in several projects such as
compilers, optimizers, obsfuscators and analysis tools, the most popular
being the Xalan XSLT processor at Apache.

%package javadoc
Summary: Javadoc for BCEL
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for the Byte Code Engineering Library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
find . -name '*.jar' -delete

%build
export CLASSPATH=%_javadir/jakarta-regexp.jar
ant jar
%if_enabled build_javadoc
ant apidocs
%endif

%install
# jars
mkdir -p %buildroot%_javadir
install -m 644 bin/bcel.jar %buildroot%_javadir/%name-%version.jar
ln -s %name-%version.jar %buildroot%_javadir/%name.jar
# javadoc
mkdir -p %buildroot%_javadocdir/%name
cp -a docs/api/* %buildroot%_javadocdir/%name

%files
%doc LICENSE.txt
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Wed May 09 2007 Igor Vlasenko <viy@altlinux.ru> 5.1-alt3
- added jpackage compatible symlinks
- rebuild with java-1.4

* Sun Feb 26 2006 Mikhail Zabaluev <mhz@altlinux.ru> 5.1-alt2
- Patch0: disambiguated use of the Deprecated class to build with JDK 1.5
- Updated Patch1: fixes to build with JDK 1.5
- Use macros from rpm-build-java

* Thu Sep 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 5.1-alt1
- New version
- Patch0 gone upstream
- Removed doc package due to absence of the docs in the source tarball
- Fix the build.xml crack [Patch1]

* Wed Nov 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 5.0-alt1
- Adopted from JPackage
